# Uses of Class
com.sun.net.httpserver.Headers

Packages that use Headers
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.

## Uses of Headers in com.sun.net.httpserver

Methods in com.sun.net.httpserver that return Headers
Modifier and Type
Method
Description
`abstract Headers`
HttpExchange.`getRequestHeaders()`
Returns an immutable `Map` containing the HTTP headers that were included with this request.
`abstract Headers`
HttpExchange.`getResponseHeaders()`
Returns a mutable `Map` into which the HTTP response headers can be stored and which will be transmitted as part of this response.